//Ejemplo de uso
import 'package:custom_fade_in/custom_fade_in.dart';
import 'package:flutter/material.dart';

void main() => runApp(MyApp());

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Material App',
      debugShowCheckedModeBanner: false,
      initialRoute: 'home',
      routes: {'home': (_) => HomePage(), 'pagina2': (_) => Pagina2Page()},
    );
  }
}

class HomePage extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
        appBar: AppBar(
          title: Text('Pagina 1'),
          backgroundColor: Colors.blueAccent,
        ),
        //vamos a agregar el body
        body: Center(
            child: MaterialButton(
                child: Text('Go to page2',
                    style: TextStyle(
                        color: Colors.white, fontWeight: FontWeight.bold)),
                shape: StadiumBorder(),
                color: Colors.black87,
                onPressed: () {
                  //ahora si vamos a mandar a llamar nuestra clase que esta en la
                  //paqueteria que acabamos de subir
                  CustomFadeIn(
                      context: context,
                      page: Pagina2Page(),
                      duracion: Duration(milliseconds: 1200),
                      replacement: false,
                      tipoAnimacion: AnimationType.normal);
                })));
  }
}

class Pagina2Page extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
        appBar: AppBar(
          title: Text('Pagina 2'),
          backgroundColor: Colors.blueGrey,
        ),
        body: Center(
          child: Text('Hola mundo'),
        ));
  }
}
